<%
	 prefix = (defined?(componentIndex)) ? "component_#{componentIndex}_" : ''
	 fieldData = @document["#{prefix}title_json_tesim"]
   title = nil
   subtitle = nil
   partName = nil
   partNumber = nil
   translationVariant = nil
   subtitleVal = nil
   nonSortVal = nil
%>

<% if fieldData != nil %>

	<hgroup>
	<% fieldData.each do |datum|
      result = JSON.parse(datum)
      partName = result['partName'] || ""
      partNumber = result['partNumber'] || ""
      subtitle = result['subtitle'] || ""
      translationVariant = result['translationVariant'] || []

      subtitleVal = subtitle
      if !partName.blank?
      	subtitleVal += (subtitleVal.blank? ? "" : ", ") + partName
      	subtitleVal += " " + partNumber if !partNumber.blank?
      end

      if translationVariant.class == Array
        translationVariant.each do |transV|
          subtitleVal += (subtitleVal.blank? ? "" : ", ") + transV
        end
      elsif translationVariant.class == String && !translationVariant.blank?
        subtitleVal += (subtitleVal.blank? ? "" : ", ") + translationVariant
      end

      title = getFullTitle result || ""
      title = result['name'] if title.blank? && !result['name'].blank?
      break unless title.blank?

    end
  %>

		<% if title.length > 0 %>
			<h1><%= title.html_safe %></h1>
		<% end %>

		<% if subtitleVal.length > 0 %>
			<h2><%= subtitleVal.html_safe %></h2>
		<% end %>

	</hgroup>

<% elsif defined?(componentIndex) %>

  <hgroup>
    <h1>Generic Component Title <%= componentIndex %></h1>
  </hgroup>

<% end %>
